Subject: Re: Asterisk expansion...
From: [email-masked] (Earnie Boyd)

27 Jul 1998 21:25:43 -0700
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: Fergus Henderson <[email-masked]>
Cc: gw32 <[email-masked]>

---Fergus Henderson <[email-masked]> wrote:
>
> On 27-Jul-1998, Earnie Boyd <[email-masked]> wrote:
> > 
> > ---Fergus Henderson <[email-masked]> wrote:
> > >
> > > On 24-Jul-1998, Earnie Boyd <[email-masked]> wrote:
> > > > ---"Robertson, Jason V"  wrote:
> > > > >
> > > > > Hi,
> > > > > 
> > > > > There seems to be an inconsistency in how * is interpreted. 
When you
> > > > > run, say, 'echo.exe' from the commandline you get the
following:
> > > > > C:> echo *.*
> > > > > <Contents of C: are listed>
> > > > > C:> echo \*.\*
> > > > > \*.\*
> > > > > 
> > > > > So why does it expand the glob in the first instance, and
not unescape
> > > > > them in the second?
> > > > 
> > > > It is the shells job to do the globbing not the programs.
> > > 
> > > Then why does gnu-win32 do the globbing in the case of the command
> > > `echo *.*'?
> >
> > In the case of the DOS shell command `ECHO' or `echo' is a shell
> > builtin; therefore, gnu-win32 doesn't even enter the picture.
> 
> Sorry, you are correct.  I forgot that echo was a builtin for
command.com.
> Let me rephrase the question: why does gnu-win32 do the globbing in
the
> case of the command `C:\bin\echo *.*'?
> 
> My point is that your statement "It is the shells job to do the
globbing
> not the programs", while valid in Unix, is not valid in DOS, and it
> is not valid in any unqualified sense in gnu-win32.
> 

I know from the experience of my mingw32-sup package that cmd.exe and
commmand.com do globbing, it is not as robust though.  For example:
`ls' doesn't do any globbing, it only reports on a list of files given
it on stdin.  I ported it to native win32 using mingw32.

Gnu-win32 reglobs in the startup of the program (none of the programs
were modified to do the globbing) in order to emulate the UNIX
environment and to serve the `mounted filesystem table'.
==
-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".